LISTWORD(1L)

NAME
listword

SYNOPSIS
listword [-c] [-l] [-p] [[-u updateFreq]|[-q]] [-x]

DESCRIPTION
listword creates word-lists from sample natural-language texts. It uses the same parser as the scramble(1L) program in the NICETEXT system. It reads input from stdin and sends the output to stdout.

OPTIONS

-c  Print word frequency along with each unique word to stdout.

-l  Convert all words to lower-case.

-p  Print words as they are read. This changes the behavior of listword so that it does not keep track of frequency. It does not print any status information to stderr if the -p parameter is set. This is extremely useful when creating NICETEXT scanners for other natural-languages.

-u updateFreq
    Print status updates to stderr every updateFreq sentences. Use zero to disable updates. The status shows the number of unique words read and the total number of words read.

-q  Be quiet. This is the same as -u 0

-x  Exclude non-words (numbers, punctuation, etc.).

EXAMPLES
It is strongly suggested that you try the examples in the tutorial directory of the NICETEXT distribution. For further information, please read the documentation in the doc directory.

SEE ALSO
bitcp(1L), dct2mstr(1L), expgram(1L), genmodel(1L), gramtest(1L), impkimmo(1L), impmsc(1L), impwbstr(1L), nicetext(1L), printint(1L), scramble(1L), sortdct(1L), txt2dct(1L).